Debian Bug report logs - #487560
RFP: php-db-table -- PEAR Package providing an object oriented interface to, and model of, a database. Integrates with

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Stephanie Layton <stephanielayton@mac.com>

Date: Sun, 22 Jun 2008 16:33:02 UTC

Severity: wishlist

Merged with 487561

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Stephanie <stephanielayton@mac.com>:
Bug#487560; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Stephanie Layton <stephanielayton@mac.com>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>, Stephanie <stephanielayton@mac.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stephanie Layton <stephanielayton@mac.com>
To: submit@bugs.debian.org
Subject: php-db-table -- PEAR Package providing an object oriented interface to
Date: Sun, 22 Jun 2008 09:31:06 -0700
Package: wnpp
Owner: Stephanie <stephanielayton@mac.com>
Severity: wishlist

*** Please type your report below this line ***

* Package name    : php-db-table
  Version         : 1.5.2
  Upstream Author : Mark Wiesemann <wiesemann@ php.net>
* URL             : http://pear.php.net/package/DB_Table
* License         : new BSD
  Programming Lang: PHP
  Description     : PEAR Package providing an object oriented interface to, and mode$

The DB_Table package provides an object oriented interface to a database.
Each instance of the core DB_Table class contains the schema for a table,
defined using abstract data types. The class provides a portable api for
insert, update, delete, and select SQL commands, and can validate data types
upon insertion and updating. It provides methods to automatically create or
verify a database table. DB_Table also provides methods (using PEAR
HTML_QuickForm) to generate input forms that match the column definitions.
Each instance of the DB_Table_Database class contains a model of
relationships between tables in a database, in which each table is
represented by an instance of DB_Table. DB_Table_Database provides a method
for automatic construction of join conditions for inner joins involving any
number of tables, optional php validation of foreign key validity, and
optional php emulation of actions triggered on delete or update of referenced
rows, such as cascading deletes.The DB_Table_Generator class auto-generates
the php code necessary to create an interface to an existing database.

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-5-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)




Forcibly Merged 487560 487561. Request was from Jonny Lamb <jonnylamb@jonnylamb.com> to control@bugs.debian.org. (Wed, 25 Jun 2008 19:39:12 GMT) Full text and rfc822 format available.

Changed Bug title to `ITP: php-db-table -- ITP: php-db-table -- PEAR Package providing an object oriented interface to, and model of, a database. Integrates with' from `php-db-table -- PEAR Package providing an object oriented interface to'. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Sat, 28 Jun 2008 02:30:05 GMT) Full text and rfc822 format available.

Message sent on to Stephanie Layton <stephanielayton@mac.com>:
Bug#487560. Full text and rfc822 format available.

Message #12 received at 487560-submitter@bugs.debian.org (full text, mbox):

From: Raphael Geissert <atomo64@gmail.com>
To: control@bugs.debian.org
Subject: Retitling a set of wrongly titled WNPP bugs
Date: Fri, 27 Jun 2008 21:27:03 -0500
retitle 487469 O: xtris -- client-server multiplayer X tetris
retitle 487470 O: xjewel -- match colors on falling columns of blocks
retitle 487474 O: xbl -- 3-D tetris like game
retitle 448153 RFP: blueman -- GTK+ bluetooth management utility for GNOME
# bug is still owned so setting it back to ITP, don't know what submitter wanted to do
retitle 487450 ITP: librt-client-console-perl -- Talk to RT installation using REST protocol
# needs a proper short description, but using the subject of the bug this one was merged with
retitle 487560 ITP: php-db-table -- ITP: php-db-table -- PEAR Package providing an object oriented interface to, and model of, a database. Integrates with 
HTML_QuickForm
# ??? this one doesn't belong to WNPP
reassign 488291 module-init-tools
thanks
-- 
Atomo64 - Raphael

Please avoid sending me Word, PowerPoint or Excel attachments.
See http://www.gnu.org/philosophy/no-word-attachments.html




Added tag(s) pending. Request was from Elizabeth Krumbach <lyz-guest@alioth.debian.org> to control@bugs.debian.org. (Wed, 20 Jan 2010 15:21:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stephanie <stephanielayton@mac.com>:
Bug#487560; Package wnpp. (Sat, 19 Feb 2011 17:58:52 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stephanie <stephanielayton@mac.com>. (Sat, 19 Feb 2011 17:58:52 GMT) Full text and rfc822 format available.

Message #19 received at 487560@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 487560@bugs.debian.org
Cc: control@bugs.debian.org
Subject: php-db-table: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:02:34 +0000
retitle 487560 RFP: php-db-table -- ITP: php-db-table -- PEAR Package providing an object oriented interface to, and model of, a database. Integrates with
noowner 487560
thanks

Hi,

This is an automatic email to change the status of php-db-table back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting php-db-table, please send a mail to
<control@bugs.debian.org> with:

 retitle 487560 ITP: php-db-table -- ITP: php-db-table -- PEAR Package providing an object oriented interface to, and model of, a database. Integrates with
 owner 487560 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <487560@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: php-db-table -- ITP: php-db-table -- PEAR Package providing an object oriented interface to, and model of, a database. Integrates with' from 'ITP: php-db-table -- ITP: php-db-table -- PEAR Package providing an object oriented interface to, and model of, a database. Integrates with' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:10:28 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Stephanie <stephanielayton@mac.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:10:29 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: php-db-table -- PEAR Package providing an object oriented interface to, and model of, a database. Integrates with' from 'RFP: php-db-table -- ITP: php-db-table -- PEAR Package providing an object oriented interface to, and model of, a database. Integrates with' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Thu, 23 Feb 2012 04:18:17 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Thu, 23 Feb 2012 04:18:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:33:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.